Page MenuHomePhabricator

Add new edit tag for contributions via "Add Tag" on CAT
Closed, ResolvedPublic

Description

We have this:
All contributions from the CAT/Suggested Tags tool currently have "Computer-Aided Tagging" edit tags. This includes tags added via Add Tag. The current setup doesn't allow for analysis and understanding edit patterns.

We want this:
"Add Tag" contributions should be easily identifiable as separate from selections of suggested tags.

Acceptance Criteria:

  • Add Tag edits from web have their own "Computer-Aided Tagging - manual" edit tag that appears in file history, recent changes, etc.
  • Clients beyond Commons (Android, etc.) have capability to add similar functionality on their side

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2020, 7:43 PM
Ramsey-WMF updated the task description. (Show Details)Apr 20 2020, 7:44 PM
Ramsey-WMF updated the task description. (Show Details)
egardner claimed this task.Apr 21 2020, 3:33 PM

Change 591424 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/MachineVision@master] Distinguish between suggested and custom labels for edit tags

https://gerrit.wikimedia.org/r/591424

Can someone verify that the labels here say what they ought to say? The language around manual revert starts to get a little awkward...

Could we do "Computer-aided Tagging - manual (revert)"?

Change 591424 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Distinguish between suggested and custom labels for edit tags

https://gerrit.wikimedia.org/r/591424

Etonkovidova added a subscriber: Etonkovidova.

Checked in commons wmf.30 - the tag "Computer-Aided Tagging - manual" is properly applied and is displayed in RC (and can be filtered for), on user contributions page and in a file history.

Special:Tags page has four tags for Computer-Aided Tagging tool and for the computer-aided-tagging-manual-revert the description (Appearance on change lists) is according to the comment - https://phabricator.wikimedia.org/T250747#6076685 - Computer-Aided Tagging - manual (revert)

@Ramsey-WMF - moving it to 'Verify in Production' since I am not quite sure how the second spec in the task description should be verified.

So, the basics work on production - Manual Add Tag contributions do get "computer-aided-tagging-manual" added as an Edit Tag, however the tag is not available in the Tagged Edits filter list on recent changes

Additionally, computer-aided-tagging-manual-revert does not appear in the filter list

In Special:Tags, the computer-aided-tagging-manual edit tag appears as "No longer in use" even though edits from April 30 with the tag do appear. And computer-aided-tagging-revert is nowhere to be found.

Ramsey-WMF closed this task as Resolved.May 4 2020, 8:44 PM

works on production now that wmf.30 made it back